Bug 1224129 (CVE-2015-4053) - CVE-2015-4053 ceph-deploy admin command copies keyring file to /etc/ceph which is world readable
Summary: CVE-2015-4053 ceph-deploy admin command copies keyring file to /etc/ceph whic...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-4053
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1211756 1225214
Blocks: 1210708 1224113
TreeView+ depends on / blocked
 
Reported: 2015-05-22 08:57 UTC by Siddharth Sharma
Modified: 2019-09-29 13:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that ceph-deploy, a utility for deploying Red Hat Ceph Storage, would create the keyring file with world readable permissions, which could possibly allow a local user to obtain authentication credentials from the keyring file.
Clone Of:
Environment:
Last Closed: 2015-10-29 20:47:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1092 normal SHIPPED_LIVE Moderate: ceph-deploy security update 2015-06-11 19:54:25 UTC
Ceph Project Bug Tracker 11694 None None None Never
Red Hat Product Errata RHSA-2015:1579 normal SHIPPED_LIVE Moderate: ceph-deploy security update 2016-02-03 01:46:19 UTC
Red Hat Product Errata RHSA-2015:1631 normal SHIPPED_LIVE Moderate: ceph-deploy security update 2016-02-03 02:39:36 UTC

Description Siddharth Sharma 2015-05-22 08:57:53 UTC
"ceph-deploy admin" command pushes the client.admin key with world readable
permissions as in /etc/ceph/ceph.client.admin.keyring, It is similar issue
like CVE-2015-3010 , but this seems more bad as it is copying to /etc/ceph
which readable by any user.

~]# ls -Z /etc/ | grep ceph
drwxr-xr-x. root root system_u:object_r:etc_t:s0 ceph

For further information : http://tracker.ceph.com/issues/11694

Comment 2 errata-xmlrpc 2015-06-11 15:54:46 UTC
This issue has been addressed in the following products:

  Red Hat Ceph Storage 1.2 for RHEL 7
  Red Hat Ceph Storage 1.2 for RHEL 6

Via RHSA-2015:1092 https://access.redhat.com/errata/RHSA-2015:1092

Comment 3 errata-xmlrpc 2015-08-07 00:58:16 UTC
This issue has been addressed in the following products:

Red Hat Ceph Storage 1.2 for Ubuntu 12.04
Red Hat Ceph Storage 1.2 for Ubuntu 14.04

Via RHSA-2015:1579 https://access.redhat.com/errata/RHSA-2015:1579

Comment 4 errata-xmlrpc 2015-08-17 07:30:08 UTC
This issue has been addressed in the following products:

 Red Hat Ceph Storage 1.2 for CentOS 6

Via RHSA-2015:1631 https://access.redhat.com/errata/RHSA-2015:1631

Comment 5 errata-xmlrpc 2016-02-02 20:46:30 UTC
This issue has been addressed in the following products:

Red Hat Ceph Storage for Ubuntu 12.04
Red Hat Ceph Storage for Ubuntu 14.04

Via RHSA-2015:1579 https://access.redhat.com/errata/RHSA-2015:1579


Note You need to log in before you can comment on or make changes to this bug.